none
Are MIMESupport and MIMETruncation tag not available in protocol 2.0? RRS feed

  • Question

  • to dear ActiveSync developers,

    Are the "MIMESupport" and "MIMETruncation" tags not available in the Exchange server which supports only protocol version 2.0? I found that if I put these two tags in the request XML in the Options section of Sync command, it will be responsed with error code 4 which stands for the syntax error.

    If there has no these two tags in protocol version 2.0, does this mean there does not support MIME format in protocol version 2.0? or is there some other ways to retrieve it?

    Thanks for your generous help

    Best regards,
    Nicholas
    Tuesday, September 15, 2009 9:28 AM

Answers

  • Thanks Nicholas,

    This isn't the correct forum for ActiveSync 2.0. 

    From the introduction information for this forum:

    “Support for Exchange Server Protocols fall under the Interoperability Principles.  Interoperability Principles covers client protocols to interoperate with Exchange Server 2007 and greater.   The version of Exchange ActiveSync (EAS) that are supported by this forum are 12.1 and greater.

    If you require additional support for earlier versions of EAS, such as 2.5 that ships with Exchange 2003, this is handled as a paid service engagement with Microsoft Partner Advantage Services (MSPA).”



    Regards, Tom Jebo Senior Support Escalation Engineer Microsoft DS Protocol Team
    Monday, September 28, 2009 3:18 PM
    Moderator

All replies

  • Nicholas,

    Thank you for your question regarding ActiveSync and Exchange server.  When you say "protocol version 2.0" are you referring to ActiveSync version 2.0? 



    Regards, Tom Jebo Senior Support Escalation Engineer Microsoft DS Protocol Team
    Tuesday, September 15, 2009 4:47 PM
    Moderator
  • to dear Tom,

    Thanks for your reply. And yes, I meant ActiveSync version 2.0.

    We found an old Exchange server which only supports version 1.0 and 2.0, and we found that these two tags "MIMETruncation" and "MIMESupport" may not be supported on this server. However, we didn't find any description about this behavior in the document and want to confirm with developers.

    Thanks for your help again

    BR,
    Nicholas
    Thursday, September 17, 2009 3:27 AM
  • Thanks Nicholas,

    This isn't the correct forum for ActiveSync 2.0. 

    From the introduction information for this forum:

    “Support for Exchange Server Protocols fall under the Interoperability Principles.  Interoperability Principles covers client protocols to interoperate with Exchange Server 2007 and greater.   The version of Exchange ActiveSync (EAS) that are supported by this forum are 12.1 and greater.

    If you require additional support for earlier versions of EAS, such as 2.5 that ships with Exchange 2003, this is handled as a paid service engagement with Microsoft Partner Advantage Services (MSPA).”



    Regards, Tom Jebo Senior Support Escalation Engineer Microsoft DS Protocol Team
    Monday, September 28, 2009 3:18 PM
    Moderator